×

Give a tip

Best Version for Android 4.0.x (early Ice Cream Sandwich)?


Recommended Posts

Hi, guys —

 

I've got an older tablet that runs Ice Cream Sandwich, and after experimenting with a manual upgrade to Jellybean, I've finally stepped back to the old OS (via a factory reset).  The thing is, I can't remember what version of Maxthon I had been running on it.

 

Any suggestions for older Android versions that work best on Android 4.0.2/4.0.3?  Any of the branded variants/side projects I should try?  (I imagine Rover doesn't play well with a version that old, but I might try it anyway.)

Tip   Give
Link to comment
Share on other sites

Any version of Maxthon can be running on your device I always use latest version of Maxthon on my device Did you try installversion of Maxthon on your Android? 

Hi, guys —

 

I've got an older tablet that runs Ice Cream Sandwich, and after experimenting with a manual upgrade to Jellybean, I've finally stepped back to the old OS (via a factory reset).  The thing is, I can't remember what version of Maxthon I had been running on it.

 

Any suggestions for older Android versions that work best on Android 4.0.2/4.0.3?  Any of the branded variants/side projects I should try?  (I imagine Rover doesn't play well with a version that old, but I might try it anyway.)

 
Tip   Give
Link to comment
Share on other sites

Any version of Maxthon can be running on your device I always use latest version of Maxthon on my device Did you try installversion of Maxthon on your Android? 

 

The version in the Google Play store gives an "incompatible with your device" message when I attempt to install it.  Haven't tried sideloading the .APK from the forum yet (got a bit distracted this week), but I will.  Given the install message, I thought there might be some users out there who've had better/worse experiences with different versions on older Android-OS devices.

Tip   Give
Link to comment
Share on other sites

The version in the Google Play store gives an "incompatible with your device" message when I attempt to install it.  Haven't tried sideloading the .APK from the forum yet (got a bit distracted this week), but I will.  Given the install message, I thought there might be some users out there who've had better/worse experiences with different versions on older Android-OS devices.

Maybe you'd have better luck with Lollipop.

Tip   Give
Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.